=== debian/control ===
Source: ros-crystal-lifecycle
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-lifecycle-msgs, ros-crystal-rclcpp-lifecycle, ros-crystal-std-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-lifecycle-msgs, ros-crystal-rclcpp-lifecycle, ros-crystal-ros2run, ros-crystal-std-msgs, ros-crystal-ros-workspace
Description: Package containing demos for lifecycle implementation
